[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Re: freeze exception for jifty 0.80408-2

> Thijs Kinkhorst wrote:
> > On Sunday 24 August 2008 17:52, Luk Claes wrote:
> >>> It would be a pity if jifty will not be in lenny while near 20 new
> >>> needed dependencies were added for jifty and they will be almost useless
> >>> without it.
> >> No, sorry, in general we don't include new packages into lenny at this
> >> stage.
> > 
> > Would it make sense then to also keep those "20 dependencies" out of lenny?
> If it are Depends ones, they won't get into lenny. If it are
> Build-Depends ones, we will check for them before the release.

there's 105 Build-Depends, maybe it will be faster to add just one package ;-)

The number of 20 useless dependencies is just estimate. Now I'm only sure that libjifty-dbi-perl and libtemplate-declare-perl are only used by jifty, but it takes 5 months to package all missing libraries with sometimes 3 or more missing levels, so it will be hard to be sure that removing some of them don't break a valid package. Do you have a method to find them? Maybe a starting point could be to use this list : http://qa.debian.org/developer.php?login=agostini@univ-metz.fr  (but it isn't concern only jifty)
However libjifty-dbi-perl and libtemplate-declare-perl will be used in catalyst project so maybe few people will be happy to find them in debian.



Reply to: